View Issue Details

IDProjectCategoryView StatusLast Update
0002441SymmetricDSBugpublic2015-11-17 16:02
ReporterelongAssigned Toelong 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.20 
Target Version3.7.27Fixed in Version3.7.27 
Summary0002441: Failed to read table on Firebird
DescriptionCannot start up with a Firebird database because of the following error message:

ERROR [server] [FirebirdDdlReader] Failed to read table: SYM_NODE

This appears to be caused by issue 2346 in version 3.7.20. Previous versions are working fine. The DDL reader is reading too many columns, keys, and indexes for a table because the underscore (_) wildcard character is not escaped.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 500928f2

2015-11-13 16:00:57

admin

Details Diff
0002441: Failed to read table on Firebird
0002441
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: 3.7 a8282fd3

2015-11-17 09:27:42

admin

Details Diff
0002441: Failed to read table on Firebird
0002441
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/interbase/InterbaseDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2015-11-09 16:10 elong New Issue
2015-11-09 16:10 elong Status new => assigned
2015-11-09 16:10 elong Assigned To => elong
2015-11-13 16:06 elong Status assigned => resolved
2015-11-13 16:06 elong Fixed in Version => 3.7.27
2015-11-13 16:06 elong Resolution open => fixed
2015-11-13 17:00 admin Changeset attached => SymmetricDS 3.7 500928f2
2015-11-17 10:00 admin Changeset attached => SymmetricDS 3.7 a8282fd3
2015-11-17 16:02 chenson Status resolved => closed